Subject: Ticket Assigned - Order 9661484608
From: Max <[email-masked]>
To: [email-masked]
Date: Sun, 23 May 2021 11:04:35 +0000

Hi Fatma Maher,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Order 9661484608 Good afternoon 

I have placed an order on May, 16 and the order number is #9661484608 
According to the application, the shipment is expected to be delivered yesterday, 22 of May but I have not received it yet nor have I received any call from anyone!
I’m highly hoping that there’s a good explanation for the delay of my shipment 

Regards..

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2612875